<TeXmacs|1.0.2.9>

<style|mmxdoc>

<\body>
  <tmweb-current|Home|Download><tmdoc-title*|Downloading and installing
  <value|mmx>|<mmxweb-main-links>>

  <section|Install gc>

  Before building <value|mmx>, you should install the
  <hlink|gc|http://www.hpl.hp.com/personal/Hans_Boehm/gc> garbage collector
  by Hans Boehm on your system.

  <section|Download and unpack the source code>

  Download the <hlink|latest version|ftp://ftp.mathemagix.org/pub/mathemagix/targz>
  of the source code, cd into the directory where you wish to compile
  Mathemagix and type

  <code| \ \ \ tar -zxvf Mathemagix-[source version].tar.gz>

  All files will be unpacked into the directory
  <with|font-family|tt|Mathemagix-[version]>, which is the 'installation
  directory'.

  <section|Compile and install>

  Cd into the installation directory and do the usual:

  <\code>
    \ \ \ \ ./configure

    \ \ \ \ make

    \ \ \ \ make install
  </code>

  in order to install in <verbatim|/usr/local>. If you want to install
  elsewhere, then use

  <\code>
    \ \ \ \ ./configure --prefix=[other-dir]
  </code>

  <section|Run>

  After installation, you should now have the binaries
  <with|font-family|tt|mmx-lex>, <with|font-family|tt|mmx-parse>,
  <with|font-family|tt|mmx-convert>, <verbatim|mmx-shell> and
  <with|font-family|tt|mmx-glue> in your path. The main interpreter is
  launched using

  <code| \ \ \ mmx-shell>

  Typing

  <code| \ \ \ load "test05.mmx">

  at the prompt should produce the output

  <\code>
    \ \ \ \ Hallo allemaal

    \ \ \ \ Hopsakee

    \ \ \ \ Hallo allemaal

    \ \ \ \ Hopsakee

    \ \ \ \ a, b, c
  </code>

  <tmdoc-copyright|2003|Joris van der Hoeven>

  <tmdoc-license|Permission is granted to copy, distribute and/or modify this
  document under the terms of the <hlink|GNU General Public
  License|http://www.gnu.org/licenses/gpl.txt>. If you don't have this file,
  write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
  Boston, MA 02111-1307, USA.>
</body>

<\initial>
  <\collection>
    <associate|page-even|30mm>
    <associate|page-reduce-bot|15mm>
    <associate|page-reduce-right|25mm>
    <associate|page-reduce-left|25mm>
    <associate|page-top|30mm>
    <associate|page-right|30mm>
    <associate|par-width|150mm>
    <associate|page-odd|30mm>
    <associate|page-bot|30mm>
    <associate|page-reduce-top|15mm>
  </collection>
</initial>

<\references>
  <\collection>
    <associate|toc-1|<tuple|1|?>>
    <associate|toc-2|<tuple|2|?>>
    <associate|toc-3|<tuple|3|?>>
    <associate|toc-4|<tuple|4|?>>
  </collection>
</references>

<\auxiliary>
  <\collection>
    <\associate|toc>
      <vspace*|1fn><with|font-series|<quote|bold>|math-font-series|<quote|bold>|1<space|2spc>Install
      gc><value|toc-dots><pageref|toc-1><vspace|0.5fn>

      <vspace*|1fn><with|font-series|<quote|bold>|math-font-series|<quote|bold>|2<space|2spc>Download
      and unpack the source code><value|toc-dots><pageref|toc-2><vspace|0.5fn>

      <vspace*|1fn><with|font-series|<quote|bold>|math-font-series|<quote|bold>|3<space|2spc>Compile
      and install><value|toc-dots><pageref|toc-3><vspace|0.5fn>

      <vspace*|1fn><with|font-series|<quote|bold>|math-font-series|<quote|bold>|4<space|2spc>Run><value|toc-dots><pageref|toc-4><vspace|0.5fn>
    </associate>
  </collection>
</auxiliary>